aboutsummaryrefslogtreecommitdiff
path: root/api/tests
diff options
context:
space:
mode:
Diffstat (limited to 'api/tests')
-rwxr-xr-xapi/tests/announce_zblock.sh (renamed from api/tests/send_me_a_zblock.sh)6
-rwxr-xr-xapi/tests/announce_zchain_link.sh34
-rwxr-xr-xapi/tests/send_me_a_zchain_link.sh34
3 files changed, 37 insertions, 37 deletions
diff --git a/api/tests/send_me_a_zblock.sh b/api/tests/announce_zblock.sh
index 73f514e..be34930 100755
--- a/api/tests/send_me_a_zblock.sh
+++ b/api/tests/announce_zblock.sh
@@ -2,7 +2,7 @@
PROGRAM="$(basename $0)"
printf '[%s]\n' "$PROGRAM"
printf "\t01:\tendpoint with valid data"
-curl http://127.0.0.1:8610/v0/sblk --header 'Content-Type: application/json' --data-raw '{"zblock":"'$(ak-get-zlatest)'"}' 2>/dev/null | jq -M -c > /dev/null
+curl http://127.0.0.1:8610/v0/announce/zblock --header 'Content-Type: application/json' --data-raw '{"zblock":"'$(ak-get-zlatest)'"}' 2>/dev/null | jq -M -c > /dev/null
if [ "$?" == "0" ]
then
printf "\t\t\033[0;32mPASSED\033[0;0m"
@@ -12,7 +12,7 @@ fi
printf "\n"
printf "\t02:\tendpoint with invalid data"
-curl http://127.0.0.1:8610/v0/sblk --header 'Content-Type: application/json' --data-raw '{"zblock":"'$(ak-get-zlatest)'sdfas"}' 2>/dev/null | jq -M -c > /dev/null
+curl http://127.0.0.1:8610/v0/announce/zblock --header 'Content-Type: application/json' --data-raw '{"zblock":"'$(ak-get-zlatest)'sdfas"}' 2>/dev/null | jq -M -c > /dev/null
if [ "$?" == "0" ]
then
printf "\t\t\033[0;32mPASSED\033[0;0m"
@@ -22,7 +22,7 @@ fi
printf "\n"
printf "\t03:\tendpoint no data"
-curl http://127.0.0.1:8610/v0/sblk --header 'Content-Type: application/json' --data-raw '{"zblock":""}' 2>/dev/null | jq -M -c > /dev/null
+curl http://127.0.0.1:8610/v0/announce/zblock --header 'Content-Type: application/json' --data-raw '{"zblock":""}' 2>/dev/null | jq -M -c > /dev/null
if [ "$?" == "0" ]
then
printf "\t\t\033[0;32mPASSED\033[0;0m"
diff --git a/api/tests/announce_zchain_link.sh b/api/tests/announce_zchain_link.sh
new file mode 100755
index 0000000..f788f77
--- /dev/null
+++ b/api/tests/announce_zchain_link.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+PROGRAM="$(basename $0)"
+printf '[%s]\n' "$PROGRAM"
+printf "TEST\t/announce/zchain\n"
+# curl http://127.0.0.1:8610/v0/announce/zchain
+printf "\t01:\tendpoint with valid data"
+curl -POST http://localhost:8610/v0/announce/zchain --header 'Content-Type: application/json' --data-raw '{"zchain":"k51qzi5uqu5dgapvk7bhxmchuqya9immqdpbz0f1r91ckpdqzub63afn3d5apr"}' 2>/dev/null | jq -M -c > /dev/null
+if [ "$?" == "0" ]
+then
+ printf "\t\t\033[0;32mPASSED\033[0;0m"
+else
+ printf "\t\033[0;31mFAILED\033[0;0m"
+fi
+printf "\n"
+
+printf "\t02:\tendpoint with invalid data"
+curl -POST http://localhost:8610/v0/announce/zchain --header 'Content-Type: application/json' --data-raw '{"zchain":"k51qzi5uqu5dgapvk7bhxmchuqya9immqdpbz0f1r91ckpdqzub63afn3d5aar"}' 2>/dev/null | jq -M -c > /dev/null
+if [ "$?" == "0" ]
+then
+ printf "\t\t\033[0;32mPASSED\033[0;0m"
+else
+ printf "\t\033[0;31mFAILED\033[0;0m"
+fi
+printf "\n"
+
+printf "\t03:\tendpoint no data"
+curl -POST http://localhost:8610/v0/announce/zchain --header 'Content-Type: application/json' --data-raw '{"zchain":""}' 2>/dev/null | jq -M -c > /dev/null
+if [ "$?" == "0" ]
+then
+ printf "\t\t\033[0;32mPASSED\033[0;0m"
+else
+ printf "\t\033[0;31mFAILED\033[0;0m"
+fi
+printf "\n"
diff --git a/api/tests/send_me_a_zchain_link.sh b/api/tests/send_me_a_zchain_link.sh
deleted file mode 100755
index 15bc2a0..0000000
--- a/api/tests/send_me_a_zchain_link.sh
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/bash
-PROGRAM="$(basename $0)"
-printf '[%s]\n' "$PROGRAM"
-printf "TEST\t/szch\n"
-# curl http://127.0.0.1:8610/v0/szch
-printf "\t01:\tendpoint with valid data"
-curl -POST http://localhost:8610/v0/szch --header 'Content-Type: application/json' --data-raw '{"zchain":"k51qzi5uqu5dgapvk7bhxmchuqya9immqdpbz0f1r91ckpdqzub63afn3d5apr"}' 2>/dev/null | jq -M -c > /dev/null
-if [ "$?" == "0" ]
-then
- printf "\t\t\033[0;32mPASSED\033[0;0m"
-else
- printf "\t\033[0;31mFAILED\033[0;0m"
-fi
-printf "\n"
-
-printf "\t02:\tendpoint with invalid data"
-curl -POST http://localhost:8610/v0/szch --header 'Content-Type: application/json' --data-raw '{"zchain":"k51qzi5uqu5dgapvk7bhxmchuqya9immqdpbz0f1r91ckpdqzub63afn3d5aar"}' 2>/dev/null | jq -M -c > /dev/null
-if [ "$?" == "0" ]
-then
- printf "\t\t\033[0;32mPASSED\033[0;0m"
-else
- printf "\t\033[0;31mFAILED\033[0;0m"
-fi
-printf "\n"
-
-printf "\t03:\tendpoint no data"
-curl -POST http://localhost:8610/v0/szch --header 'Content-Type: application/json' --data-raw '{"zchain":""}' 2>/dev/null | jq -M -c > /dev/null
-if [ "$?" == "0" ]
-then
- printf "\t\t\033[0;32mPASSED\033[0;0m"
-else
- printf "\t\033[0;31mFAILED\033[0;0m"
-fi
-printf "\n"